Page MenuHomePhabricator

When adding {{DISPLAYTITLE:}} using VE, prefill the input field with the page name
Closed, ResolvedPublic1 Story Points

Description

When you add {{DISPLAYTITLE:}} to a page, in most cases you will use a label very similar to the name of the page (and with default configuration, you are even forced to do so). So instead of showing an empty input field, VE should prefill it with the title. Currently, you have to copy the title before you open the dialog (which in practice means: open the dialog, see that you can't copy the title while the dialog is open, close it, copy the title, open the dialog again), or type it in manually, which both is inefficient.

Event Timeline

Schnark created this task.Jan 20 2017, 9:21 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 20 2017, 9:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 334151 had a related patch set uploaded (by DLynch):
Advanced Settings: prefill current page title when enabling displaytitle

https://gerrit.wikimedia.org/r/334151

Change 334151 merged by jenkins-bot:
Advanced Settings: improve displaytitle field

https://gerrit.wikimedia.org/r/334151

DLynch claimed this task.Jan 31 2017, 5:32 PM
Jdforrester-WMF set the point value for this task to 1.Feb 1 2017, 10:38 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.